%define version	0.2.3

%define scim_version		1.4.5
%define m17n_lib_version	1.3.0

Summary:	A wrapper for m17n
Name:		scim-m17n
Version:	%{version}
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.net/projects/scim/
Source0:	http://freefr.dl.sourceforge.net/sourceforge/scim/%name-%version.tar.gz
Requires:	m17n-lib >= %{m17n_lib_version}
Requires:	scim-client = %{scim_api}
BuildRequires:	m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:	scim-devel >= %{scim_version}
Obsoletes:	%mklibname %name 0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A wrapper for m17n.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%scim_plugins_dir/IMEngine/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%scim_plugins_dir/IMEngine/*.so


%changelog
* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.2.3-1mdv2010.0
+ Revision: 369359
- New version 0.2.3

* Fri Feb 13 2009 Funda Wang <fundawang@mandriva.org> 0.2.2-4mdv2009.1
+ Revision: 339967
- fix requires
- drop obsoleted libs

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 0.2.2-4mdv2009.0
+ Revision: 234342
- add gcc 4.3 patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-3mdv2008.1
+ Revision: 179495
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Funda Wang <fundawang@mandriva.org> 0.2.2-2mdv2008.0
+ Revision: 92763
- use scim macros
- use bootstrap


* Wed Feb 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 123187
- new release (utumi)

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-1mdv2007.1
+ Revision: 66011
- Import scim-m17n

* Thu Oct 12 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-1mdv2007.0
- new release

* Tue Feb 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- this release supports extended features in m17n-lib-1.3.0,
- so I changed m17n_lib_version

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.4-5mdk
- fix requires being "m17n-lib-devel >= %%{m17n-lib_version}"

* Wed Jul 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.4-4mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.4-3mdk
- Rebuild for new scim ( 1.3.1 )

* Sat Jun 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.4-2mdk
- rebuild for new scim

* Sun Apr 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-0.cvs20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-0.cvs20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-0.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Tue Aug 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-1mdk
- new release
- add Requires: m17n-db

* Tue Aug 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release
- bump scim buildrequires

* Mon Jul 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.1-2mdk
- add BuildRequires: libltdl-devel

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Tue Jun 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk

